Skip to content

List tags

GET
/api/v1/tags
curl --request GET \
--url https://your-orimora-instance.example.com/api/v1/tags \
--header 'Authorization: Bearer <token>'

Lists tags visible to the caller. Restricted tags the caller has no ACL for are excluded.

List of visible tags

Media type application/json
object
data
required
Array<object>
object
id
required
string format: uuid
name
required

Normalized (lowercased) tag name

string
color
required

Optional UI color #rrggbb

string | null
documentCount

Number of documents carrying this tag

integer
Example generated
{
"data": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"color": "example",
"documentCount": 1
}
]
}

Unauthorized

Media type application/json
object
error
required

Human-readable error message

string
Example generated
{
"error": "example"
}